com.massivecraft.factions.cmd

## Class CmdRelationAlly

- java.lang.Object
- - com.massivecraft.factions.zcore.MCommand<SaberFactions>
  - - com.massivecraft.factions.cmd.FCommand
    - - com.massivecraft.factions.cmd.relational.FRelationCommand
      - - com.massivecraft.factions.cmd.relational.CmdRelationAlly

-     public class CmdRelationAlly
      extends FRelationCommand

- - ### Field Summary

    - ### Fields inherited from class com.massivecraft.factions.cmd.FRelationCommand

      `targetRelation`

    - ### Fields inherited from class com.massivecraft.factions.cmd.FCommand

      `disableOnLock, fme, isMoneyCommand, myFaction, sdf, senderMustBeAdmin, senderMustBeColeader, senderMustBeMember, senderMustBeModerator`

    - ### Fields inherited from class com.massivecraft.factions.zcore.MCommand

      `aliases, allowNoSlashAccess, args, commandChain, errorOnToManyArgs, helpLong, me, optionalArgs, p, permission, requiredArgs, sender, senderIsConsole, senderMustBePlayer, subCommands, visibility`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CmdRelationAlly()`

  - ### Method Summary

    - ### Methods inherited from class com.massivecraft.factions.cmd.FRelationCommand

      `getUsageTranslation, perform`

    - ### Methods inherited from class com.massivecraft.factions.cmd.FCommand

      `argAsBestFPlayerMatch, argAsBestFPlayerMatch, argAsBestFPlayerMatch, argAsFaction, argAsFaction, argAsFaction, argAsFPlayer, argAsFPlayer, argAsFPlayer, assertHasFaction, assertMinRole, canAffordCommand, canIAdministerYou, doWarmUp, doWarmUp, execute, isEnabled, payForCommand, payForCommand, strAsBestFPlayerMatch, strAsFaction, strAsFPlayer, validSenderType`

    - ### Methods inherited from class com.massivecraft.factions.zcore.MCommand

      `addSubCommand, argAsBestPlayerMatch, argAsBestPlayerMatch, argAsBestPlayerMatch, argAsBool, argAsBool, argAsDouble, argAsDouble, argAsInt, argAsInt, argAsPlayer, argAsPlayer, argAsPlayer, argAsString, argAsString, argIsSet, execute, getHelpShort, getToolTips, getToolTips, getUseageTemplate, getUseageTemplate, getUseageTemplate, msg, msg, replaceFactionTags, replaceFPlayerTags, sendFancyMessage, sendFancyMessage, sendMessage, sendMessage, setHelpShort, strAsBestPlayerMatch, strAsBool, strAsDouble, strAsInt, strAsPlayer, validArgs, validArgs, validCall, validSenderPermissions`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CmdRelationAlly

          public CmdRelationAlly()